
TYPO3.Neos - Feature # 33723

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2012-02-06 Assigned To: Karsten Dambekalns
Updated: 2012-02-09 Due date:
Subject: Shortcut page support
Description

The good old shortcut page type is indeed a useful thing. It should

    1. redirect to the target (303) if called
    2. in menus the target should point to the target directly
    3. the link and uri view helpers for nodes should resolve the shortcut as well
    4. shortcuts pointing to shortcuts need to be resolved recursively
    5. some options for shortcut mode and target?

Related issues:
related to TYPO3.Neos - Task # 33824: Shortcut handling needs improvements Closed 2012-02-09
related to TYPO3.TYPO3CR - Feature # 33825: Type hierarchy support for conten... New 2012-02-09

Associated revisions
Revision aba111c8 - 2012-02-09 22:36 - Karsten Dambekalns

[FEATURE] Shortcut TS object

This change adds a Shortcut TS object (TYPO3.TYPO3:Shortcut) that
for now redirects to it's first child page. The menu and link/uri
node view helpers also resolve shortcuts through the frontend node
routepart handler.

Shortcuts are resolved recursively, that is if the first subpage
is again a shortcut, it's first child node is tried.

Some whitespace fixes to the Page class along the way.

Change-Id: I9a12b8a05044e57d0d3106e426d5f1a57859cce3
Resolves: #33723

History
#1 - 2012-02-06 23:21 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8865

#2 - 2012-02-06 23:23 - Karsten Dambekalns

Gerrit Code Review wrote:

Patch set 3 for branch master has been pushed to the review server.
This implements 1. and 2. of the above list.

#3 - 2012-02-09 22:39 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8865

#4 - 2012-02-09 22:43 - Karsten Dambekalns

Gerrit Code Review wrote:

Patch set 4 for branch master has been pushed to the review server.

Now implements 1., 2., 3. and 4.

#5 - 2012-02-09 22:51 - Karsten Dambekalns
- Status changed from Accepted to Resolved

#6 - 2012-02-09 22:52 - Karsten Dambekalns
- % Done changed from 0 to 100

2015-08-03 2/2

http://review.typo3.org/8865

